Migrating from SME 9.2 - nethserver-hotsync

NethServer Version: nethserver-7.9.2009-x86_64
Module: hotsync

I’m always running a separate hardware spare server. I used to sync/backup with affa. All I read here, that this is for NS not possible/implemented. Therefore I installed hotsync, it should work pretty much equal. I read about problems and fixes in the forum. I read also the wiki to hotsync. For the latest version all I have to do is to define the settings in the cockpit-app? Then issue the first sync from CLI? Is that correct so far?

@schulzstefan

Hi

Yes, that’s more or less correct - and don’t forget to TEST / CHECK, if it does as you expect!

After it’s running, you can hook it to a seperate switch (isolated from your network) with a client (Notebook?) and “promote” that server to check…

If it works, you’re done! :slight_smile:

You can re do the whole sync again, but now you know it works! (And that’s worth a lot!).

My 2 cents
Andy

1 Like

o.k., I’ll try and let you know.

regards,
stefan

Well…

This is from cron:

hotsync error: rsync returned 5. rsync output:
@ERROR: Unknown module ‘hotsync’
rsync error: error starting client-server protocol (code 5) at main.c(1649) [sender=3.1.2]

This is on the (master) cli:

hotsync

===== Report for configuration backup =====
Backup started at 2021-01-12 19:18:05
Event pre-backup-config: SUCCESS
Action backup-config-execute: SUCCESS
Event post-backup-config: SUCCESS
Backup status: SUCCESS
Backup ended at 2021-01-12 19:18:13
Time elapsed: 0 hours, 0 minutes, 8 seconds

Nothing more in /var/log

More:

config show hotsync

hotsync=configuration
MasterHost=192.168.42.10
SlaveHost=192.168.42.15
SlavePort=273
databases=enabled
role=master
status=enabled

and:

config show rsyncd

rsyncd=service
TCPPort=873
password=XXX
status=enabled

I read about this in the forum and thought, it is solved. Obviously I made a mistake in the setup, or it’s a bug.

Any ideas?

From: https://unix.stackexchange.com/questions/462312/rsync-if-a-module-is-not-found-what-can-i-check

From local master:

# cat rsyncd.conf 
# ================= DO NOT MODIFY THIS FILE =================
# 
# Manual changes will be lost when this file is regenerated.
#
# Please read the developer's guide, which is available
# at NethServer official site: https://www.nethserver.org
#
# 
# only used by slave

and:

# cat rsyncd.secrets

# ================= DO NOT MODIFY THIS FILE =================
# 
# Manual changes will be lost when this file is regenerated.
#
# Please read the developer's guide, which is available
# at NethServer official site: https://www.nethserver.org
#
# 
# only used by slave

Both files are empty. Could this be the reason?

It seems in /usr/sbin/hotsync

snip-
rsync://hotsyncuser@127.0.0.1/hotsync/
snip-

Is there’s a user defined as hotsyncuser?

# cut -d: -f1 /etc/passwd

does not show such a user…

Hmmm…

I disabled the shorewall on master and slave.

I configured on master and slave rsyncd.conf and rsyncd.secrets.

I restarted on master and slave rsyncd.

On master:

hotsync

===== Report for configuration backup =====
Backup started at 2021-01-12 23:14:45
Event pre-backup-config: SUCCESS
Action backup-config-execute: SUCCESS
Event post-backup-config: SUCCESS
Backup status: SUCCESS
Backup ended at 2021-01-12 23:14:53
Time elapsed: 0 hours, 0 minutes, 8 seconds

NOW on slave I see in cockpit:

Hostname / Alias --> FQHN from MASTER.

On slave without changing the FQHN back:

hotsync-slave

Loaded plugins: changelog, fastestmirror
Loading mirror speeds from cached hostfile
epel/x86_64/metalink | 33 kB 00:00

  • ce-base: mirrors.prometeus.net
  • ce-extras: mirrors.prometeus.net
  • ce-sclo-rh: mirrors.prometeus.net
  • ce-sclo-sclo: mirrors.prometeus.net
  • ce-updates: mirrors.prometeus.net
  • epel: ftp.plusline.net
  • nethforge: nethserver.interlin.nl
  • nethserver-base: nethserver.interlin.nl
  • nethserver-updates: nethserver.interlin.nl
    ce-base/7/x86_64/signature | 811 B 00:00
    ce-base/7/x86_64/signature | 3.6 kB 00:00 !!!
    ce-extras/7/x86_64/signature | 811 B 00:00
    ce-extras/7/x86_64/signature | 2.9 kB 00:00 !!!
    ce-sclo-rh | 3.0 kB 00:00
    ce-sclo-sclo | 3.0 kB 00:00
    ce-updates/7/x86_64/signature | 811 B 00:00
    ce-updates/7/x86_64/signature | 2.9 kB 00:00 !!!
    nethforge/7/x86_64/signature | 836 B 00:00
    nethforge/7/x86_64/signature | 3.6 kB 00:00 !!!
    nethserver-base/7/x86_64/signature | 836 B 00:00
    nethserver-base/7/x86_64/signature | 2.9 kB 00:00 !!!
    nethserver-updates/7/x86_64/signature | 836 B 00:00
    nethserver-updates/7/x86_64/signature | 3.6 kB 00:00 !!!
    stephdl | 2.9 kB 00:00
    nethserver-updates/7/x86_64/primary_db | 205 kB 00:00
    Package nethserver-antivirus-1.5.1-1.ns7.noarch already installed and latest version
    Package nethserver-avahi-1.1.0-1.ns7.noarch already installed and latest version
    Package nethserver-backup-config-2.5.1-1.ns7.noarch already installed and latest version
    Package nethserver-backup-data-1.7.4-1.ns7.noarch already installed and latest version
    Package nethserver-base-3.7.9-1.ns7.noarch already installed and latest version
    Package nethserver-blacklist-1.1.5-1.ns7.noarch already installed and latest version
    Package nethserver-cgp-2.4.0-1.ns7.noarch already installed and latest version
    Package nethserver-collectd-3.1.1-1.ns7.noarch already installed and latest version
    Package nethserver-crontabmanager-1.0.4-1.ns7.noarch already installed and latest version
    Package nethserver-cups-1.2.2-1.ns7.noarch already installed and latest version
    Package nethserver-dante-1.0.2-1.ns7.noarch already installed and latest version
    Package nethserver-dc-1.8.1-1.ns7.x86_64 already installed and latest version
    Package nethserver-diagtools-1.0.3-1.ns7.noarch already installed and latest version
    Package nethserver-dnsmasq-1.7.2-1.ns7.noarch already installed and latest version
    Package nethserver-duc-1.7.0-1.ns7.noarch already installed and latest version
    Package nethserver-evebox-1.4.0-1.ns7.noarch already installed and latest version
    Package nethserver-fail2ban-1.5.7-1.ns7.noarch already installed and latest version
    Package nethserver-firewall-base-3.13.5-1.ns7.noarch already installed and latest version
    Package nethserver-firewall-base-ui-3.13.5-1.ns7.noarch already installed and latest version
    Package nethserver-hosts-1.2.2-1.ns7.noarch already installed and latest version
    Package nethserver-hotsync-2.2.2-1.ns7.noarch already installed and latest version
    Package nethserver-httpd-3.12.0-1.ns7.noarch already installed and latest version
    Package nethserver-httpd-admin-service-2.7.0-1.ns7.noarch already installed and latest version
    Package nethserver-httpd-virtualhosts-3.12.0-1.ns7.noarch already installed and latest version
    Package nethserver-hylafax-1.4.1-1.ns7.noarch already installed and latest version
    Package nethserver-lang-cockpit-1.4.6-4.ns7.noarch already installed and latest version
    Package nethserver-letsencrypt-1.2.0-1.ns7.noarch already installed and latest version
    Package nethserver-lib-2.2.11-1.ns7.noarch already installed and latest version
    Package nethserver-lsm-1.2.3-1.ns7.noarch already installed and latest version
    Package nethserver-memcached-1.1.0-1.ns7.noarch already installed and latest version
    Package nethserver-mysql-1.1.5-1.ns7.noarch already installed and latest version
    Package nethserver-ndpi-1.3.4-1.ns7.noarch already installed and latest version
    Package nethserver-netdata-2.0.0-1.ns7.noarch already installed and latest version
    Package nethserver-nethforge-release-7-3.ns7.noarch already installed and latest version
    Package nethserver-ntp-1.1.3-1.ns7.noarch already installed and latest version
    Package nethserver-openssh-1.8.0-1.ns7.noarch already installed and latest version
    Package nethserver-phonehome-1.4.0-1.ns7.noarch already installed and latest version
    Package nethserver-php-1.3.0-1.ns7.noarch already installed and latest version
    Package nethserver-phpmyadmin-1.2.5-2.ns7.sdl.noarch already installed and latest version
    Package nethserver-pulledpork-2.1.7-1.ns7.noarch already installed and latest version
    Package nethserver-release-7-19.ns7.noarch already installed and latest version
    Package nethserver-restore-data-2.0.6-1.ns7.noarch already installed and latest version
    Package nethserver-samba-4.5.5-1.ns7.noarch already installed and latest version
    Package nethserver-samba-audit-1.3.1-1.ns7.noarch already installed and latest version
    Package nethserver-smartd-1.1.0-1.ns7.noarch already installed and latest version
    Package nethserver-sogo-1.8.4-1.ns7.noarch already installed and latest version
    Package nethserver-sssd-1.7.0-1.ns7.noarch already installed and latest version
    Package nethserver-stephdl-1.1.3-1.ns7.sdl.noarch already installed and latest version
    Package nethserver-subscription-3.6.6-1.ns7.noarch already installed and latest version
    Package nethserver-subscription-inventory-3.6.6-1.ns7.x86_64 already installed and latest version
    Package nethserver-subscription-ui-3.6.6-1.ns7.noarch already installed and latest version
    Package nethserver-suricata-2.3.3-1.ns7.noarch already installed and latest version
    Package nethserver-tomcat-1.1.0-1.ns7.noarch already installed and latest version
    Package nethserver-unbound-1.1.0-1.ns7.noarch already installed and latest version
    Package nethserver-vsftpd-1.1.1-1.ns7.noarch already installed and latest version
    Package nethserver-yum-1.4.1-1.ns7.noarch already installed and latest version
    Resolving Dependencies
    –> Running transaction check
    —> Package nethserver-cockpit.noarch 0:1.7.20-1.ns7 will be updated
    —> Package nethserver-cockpit.noarch 0:1.7.21-1.ns7 will be an update
    —> Package nethserver-cockpit-lib.noarch 0:1.7.20-1.ns7 will be updated
    —> Package nethserver-cockpit-lib.noarch 0:1.7.21-1.ns7 will be an update
    —> Package nethserver-mail-common.noarch 0:2.29.5-1.ns7 will be updated
    —> Package nethserver-mail-common.noarch 0:2.29.6-1.ns7 will be an update
    —> Package nethserver-mail-filter.noarch 0:2.29.5-1.ns7 will be updated
    —> Package nethserver-mail-filter.noarch 0:2.29.6-1.ns7 will be an update
    —> Package nethserver-mail-server.noarch 0:2.29.5-1.ns7 will be updated
    —> Package nethserver-mail-server.noarch 0:2.29.6-1.ns7 will be an update
    —> Package nethserver-mail-smarthost.noarch 0:2.29.5-1.ns7 will be updated
    —> Package nethserver-mail-smarthost.noarch 0:2.29.6-1.ns7 will be an update
    –> Finished Dependency Resolution

Dependencies Resolved

================================================================================
Package Arch Version Repository Size

Updating:
nethserver-cockpit noarch 1.7.21-1.ns7 nethserver-updates 2.7 M
nethserver-cockpit-lib noarch 1.7.21-1.ns7 nethserver-updates 44 k
nethserver-mail-common noarch 2.29.6-1.ns7 nethserver-updates 1.5 M
nethserver-mail-filter noarch 2.29.6-1.ns7 nethserver-updates 91 k
nethserver-mail-server noarch 2.29.6-1.ns7 nethserver-updates 131 k
nethserver-mail-smarthost noarch 2.29.6-1.ns7 nethserver-updates 58 k

Transaction Summary

Upgrade 6 Packages

Total download size: 4.6 M
Downloading packages:
No Presto metadata available for nethserver-updates
(1/6): nethserver-cockpit-lib-1.7.21-1.ns7.noarch.rpm | 44 kB 00:00
(2/6): nethserver-mail-smarthost-2.29.6-1.ns7.noarch.rpm | 58 kB 00:00
(3/6): nethserver-mail-filter-2.29.6-1.ns7.noarch.rpm | 91 kB 00:00
(4/6): nethserver-mail-server-2.29.6-1.ns7.noarch.rpm | 131 kB 00:00
(5/6): nethserver-cockpit-1.7.21-1.ns7.noarch.rpm | 2.7 MB 00:02
(6/6): nethserver-mail-common-2.29.6-1.ns7.noarch.rpm | 1.5 MB 00:02

Total 1.6 MB/s | 4.6 MB 00:02
Running transaction check
Running transaction test
Transaction test succeeded
Running transaction
Updating : nethserver-cockpit-lib-1.7.21-1.ns7.noarch 1/12
Updating : nethserver-mail-smarthost-2.29.6-1.ns7.noarch 2/12
Updating : nethserver-mail-common-2.29.6-1.ns7.noarch 3/12
Updating : nethserver-mail-server-2.29.6-1.ns7.noarch 4/12
Updating : nethserver-mail-filter-2.29.6-1.ns7.noarch 5/12
Updating : nethserver-cockpit-1.7.21-1.ns7.noarch 6/12
Cleanup : nethserver-cockpit-1.7.20-1.ns7.noarch 7/12
Cleanup : nethserver-mail-filter-2.29.5-1.ns7.noarch 8/12
Cleanup : nethserver-mail-server-2.29.5-1.ns7.noarch 9/12
Cleanup : nethserver-mail-common-2.29.5-1.ns7.noarch 10/12
Cleanup : nethserver-cockpit-lib-1.7.20-1.ns7.noarch 11/12
Cleanup : nethserver-mail-smarthost-2.29.5-1.ns7.noarch 12/12
Verifying : nethserver-mail-server-2.29.6-1.ns7.noarch 1/12
Verifying : nethserver-mail-filter-2.29.6-1.ns7.noarch 2/12
Verifying : nethserver-cockpit-1.7.21-1.ns7.noarch 3/12
Verifying : nethserver-mail-smarthost-2.29.6-1.ns7.noarch 4/12
Verifying : nethserver-cockpit-lib-1.7.21-1.ns7.noarch 5/12
Verifying : nethserver-mail-common-2.29.6-1.ns7.noarch 6/12
Verifying : nethserver-cockpit-lib-1.7.20-1.ns7.noarch 7/12
Verifying : nethserver-mail-filter-2.29.5-1.ns7.noarch 8/12
Verifying : nethserver-mail-common-2.29.5-1.ns7.noarch 9/12
Verifying : nethserver-cockpit-1.7.20-1.ns7.noarch 10/12
Verifying : nethserver-mail-server-2.29.5-1.ns7.noarch 11/12
Verifying : nethserver-mail-smarthost-2.29.5-1.ns7.noarch 12/12

Updated:
nethserver-cockpit.noarch 0:1.7.21-1.ns7
nethserver-cockpit-lib.noarch 0:1.7.21-1.ns7
nethserver-mail-common.noarch 0:2.29.6-1.ns7
nethserver-mail-filter.noarch 0:2.29.6-1.ns7
nethserver-mail-server.noarch 0:2.29.6-1.ns7
nethserver-mail-smarthost.noarch 0:2.29.6-1.ns7

Complete!

I think, all this might be a bug. Maybe a moderator could move this to bugs.

IMVHO - without a rock stable backup-solution out of the box, a server is nearly not runable.

regards,
stefan

@federico.ballarini any hint?

Can you please post here master and slave configs?

And I need also to know if you installed these packages on 7.9 or there were already installed.

@federico.ballarini

Thank’s for joining in.

master:

config show hotsync

hotsync=configuration
MasterHost=192.168.42.10
SlaveHost=192.168.42.15
SlavePort=273
databases=enabled
role=master
status=enabled

slave:

config show hotsync

hotsync=configuration
MasterHost=192.168.42.10
SlaveHost=192.168.42.15
SlavePort=273
databases=enabled
role=slave
status=enabled

Server is latest iso-install. Hotsync installed from cockpit.

Could you post also rsyncd config on both machines? Hide your password if you prefer, check only it’s the same.

This service should be disabled on master and enabled on slave.

Master:

config show rsyncd:
rsyncd=service
TCPPort=873
password=XXX
status=disabled

Slave:

config show rsyncd
rsyncd=service
TCPPort=873
password=XXX
status=enabled

It seems all correct. Can you post also the result of these commands after shorewall enabled as default?

On master: hotsync
On slave: hotsync-slave

Thank you

Master:

hotsync
===== Report for configuration backup =====
Backup started at 2021-01-13 23:57:57
Event pre-backup-config: SUCCESS
Action backup-config-execute: SUCCESS
Event post-backup-config: SUCCESS
Backup status: SUCCESS
Backup ended at 2021-01-13 23:58:05
Time elapsed: 0 hours, 0 minutes, 8 seconds

Every 15 minutes an email with

hotsync error: rsync returned 5. rsync output:
@ERROR: Unknown module ‘hotsync’
rsync error: error starting client-server protocol (code 5) at main.c(1649) [sender=3.1.2]

Slave:

hotsync-slave
Loaded plugins: changelog, fastestmirror
Loading mirror speeds from cached hostfile

  • ce-base: mirrors.prometeus.net
  • ce-extras: mirrors.prometeus.net
  • ce-sclo-rh: mirrors.prometeus.net
  • ce-sclo-sclo: mirrors.prometeus.net
  • ce-updates: mirrors.prometeus.net
  • epel: ftp.plusline.net
  • nethforge: nethserver.interlin.nl
  • nethserver-base: nethserver.interlin.nl
  • nethserver-updates: nethserver.interlin.nl
    Package nethserver-antivirus-1.5.1-1.ns7.noarch already installed and latest ver sion
    Package nethserver-avahi-1.1.0-1.ns7.noarch already installed and latest version
    Package nethserver-backup-config-2.5.1-1.ns7.noarch already installed and latest version
    Package nethserver-backup-data-1.7.4-1.ns7.noarch already installed and latest v ersion
    Package nethserver-base-3.7.9-1.ns7.noarch already installed and latest version
    Package nethserver-blacklist-1.1.5-1.ns7.noarch already installed and latest ver sion
    Package nethserver-cgp-2.4.0-1.ns7.noarch already installed and latest version
    Package nethserver-collectd-3.1.1-1.ns7.noarch already installed and latest vers ion
    Package nethserver-crontabmanager-1.0.4-1.ns7.noarch already installed and lates t version
    Package nethserver-cups-1.2.2-1.ns7.noarch already installed and latest version
    Package nethserver-dante-1.0.2-1.ns7.noarch already installed and latest version
    Package nethserver-dc-1.8.1-1.ns7.x86_64 already installed and latest version
    Package nethserver-diagtools-1.0.3-1.ns7.noarch already installed and latest ver sion
    Package nethserver-dnsmasq-1.7.2-1.ns7.noarch already installed and latest versi on
    Package nethserver-duc-1.7.0-1.ns7.noarch already installed and latest version
    Package nethserver-evebox-1.4.0-1.ns7.noarch already installed and latest versio n
    Package nethserver-fail2ban-1.5.7-1.ns7.noarch already installed and latest vers ion
    Package nethserver-firewall-base-3.13.5-1.ns7.noarch already installed and lates t version
    Package nethserver-firewall-base-ui-3.13.5-1.ns7.noarch already installed and la test version
    Package nethserver-hosts-1.2.2-1.ns7.noarch already installed and latest version
    Package nethserver-hotsync-2.2.2-1.ns7.noarch already installed and latest versi on
    Package nethserver-httpd-3.12.0-1.ns7.noarch already installed and latest versio n
    Package nethserver-httpd-admin-service-2.7.0-1.ns7.noarch already installed and latest version
    Package nethserver-httpd-virtualhosts-3.12.0-1.ns7.noarch already installed and latest version
    Package nethserver-hylafax-1.4.1-1.ns7.noarch already installed and latest versi on
    Package nethserver-lang-cockpit-1.4.6-4.ns7.noarch already installed and latest version
    Package nethserver-letsencrypt-1.2.0-1.ns7.noarch already installed and latest v ersion
    Package nethserver-lib-2.2.11-1.ns7.noarch already installed and latest version
    Package nethserver-lsm-1.2.3-1.ns7.noarch already installed and latest version
    Package nethserver-memcached-1.1.0-1.ns7.noarch already installed and latest ver sion
    Package nethserver-mysql-1.1.5-1.ns7.noarch already installed and latest version
    Package nethserver-ndpi-1.3.4-1.ns7.noarch already installed and latest version
    Package nethserver-netdata-2.0.0-1.ns7.noarch already installed and latest versi on
    Package nethserver-nethforge-release-7-3.ns7.noarch already installed and latest version
    Package nethserver-ntp-1.1.3-1.ns7.noarch already installed and latest version
    Package nethserver-openssh-1.8.0-1.ns7.noarch already installed and latest versi on
    Package nethserver-phonehome-1.4.0-1.ns7.noarch already installed and latest ver sion
    Package nethserver-php-1.3.0-1.ns7.noarch already installed and latest version
    Package nethserver-phpmyadmin-1.2.5-2.ns7.sdl.noarch already installed and lates t version
    Package nethserver-pulledpork-2.1.7-1.ns7.noarch already installed and latest ve rsion
    Package nethserver-release-7-19.ns7.noarch already installed and latest version
    Package nethserver-restore-data-2.0.6-1.ns7.noarch already installed and latest version
    Package nethserver-samba-4.5.5-1.ns7.noarch already installed and latest version
    Package nethserver-samba-audit-1.3.1-1.ns7.noarch already installed and latest v ersion
    Package nethserver-smartd-1.1.0-1.ns7.noarch already installed and latest versio n
    Package nethserver-sogo-1.8.4-1.ns7.noarch already installed and latest version
    Package nethserver-sssd-1.7.0-1.ns7.noarch already installed and latest version
    Package nethserver-stephdl-1.1.3-1.ns7.sdl.noarch already installed and latest v ersion
    Package nethserver-subscription-3.6.6-1.ns7.noarch already installed and latest version
    Package nethserver-subscription-inventory-3.6.6-1.ns7.x86_64 already installed a nd latest version
    Package nethserver-subscription-ui-3.6.6-1.ns7.noarch already installed and late st version
    Package nethserver-suricata-2.3.3-1.ns7.noarch already installed and latest vers ion
    Package nethserver-tomcat-1.1.0-1.ns7.noarch already installed and latest versio n
    Package nethserver-unbound-1.1.0-1.ns7.noarch already installed and latest versi on
    Package nethserver-vsftpd-1.1.1-1.ns7.noarch already installed and latest versio n
    Package nethserver-yum-1.4.1-1.ns7.noarch already installed and latest version
    Resolving Dependencies
    –> Running transaction check
    —> Package nethserver-cockpit.noarch 0:1.7.20-1.ns7 will be updated
    —> Package nethserver-cockpit.noarch 0:1.7.21-1.ns7 will be an update
    —> Package nethserver-cockpit-lib.noarch 0:1.7.20-1.ns7 will be updated
    —> Package nethserver-cockpit-lib.noarch 0:1.7.21-1.ns7 will be an update
    —> Package nethserver-mail-common.noarch 0:2.29.5-1.ns7 will be updated
    —> Package nethserver-mail-common.noarch 0:2.29.6-1.ns7 will be an update
    —> Package nethserver-mail-filter.noarch 0:2.29.5-1.ns7 will be updated
    —> Package nethserver-mail-filter.noarch 0:2.29.6-1.ns7 will be an update
    —> Package nethserver-mail-server.noarch 0:2.29.5-1.ns7 will be updated
    —> Package nethserver-mail-server.noarch 0:2.29.6-1.ns7 will be an update
    —> Package nethserver-mail-smarthost.noarch 0:2.29.5-1.ns7 will be updated
    —> Package nethserver-mail-smarthost.noarch 0:2.29.6-1.ns7 will be an update
    –> Finished Dependency Resolution

Dependencies Resolved

================================================================================
Package Arch Version Repository Size

Updating:
nethserver-cockpit noarch 1.7.21-1.ns7 nethserver-updates 2.7 M
nethserver-cockpit-lib noarch 1.7.21-1.ns7 nethserver-updates 44 k
nethserver-mail-common noarch 2.29.6-1.ns7 nethserver-updates 1.5 M
nethserver-mail-filter noarch 2.29.6-1.ns7 nethserver-updates 91 k
nethserver-mail-server noarch 2.29.6-1.ns7 nethserver-updates 131 k
nethserver-mail-smarthost noarch 2.29.6-1.ns7 nethserver-updates 58 k

Transaction Summary

Upgrade 6 Packages

Total size: 4.6 M
Downloading packages:
Running transaction check
Running transaction test
Transaction test succeeded
Running transaction
Updating : nethserver-cockpit-lib-1.7.21-1.ns7.noarch 1/12
Updating : nethserver-mail-smarthost-2.29.6-1.ns7.noarch 2/12
Updating : nethserver-mail-common-2.29.6-1.ns7.noarch 3/12
Updating : nethserver-mail-server-2.29.6-1.ns7.noarch 4/12
Updating : nethserver-mail-filter-2.29.6-1.ns7.noarch 5/12
Updating : nethserver-cockpit-1.7.21-1.ns7.noarch 6/12
Cleanup : nethserver-cockpit-1.7.20-1.ns7.noarch 7/12
Cleanup : nethserver-mail-filter-2.29.5-1.ns7.noarch 8/12
Cleanup : nethserver-mail-server-2.29.5-1.ns7.noarch 9/12
Cleanup : nethserver-mail-common-2.29.5-1.ns7.noarch 10/12
Cleanup : nethserver-cockpit-lib-1.7.20-1.ns7.noarch 11/12
Cleanup : nethserver-mail-smarthost-2.29.5-1.ns7.noarch 12/12
Verifying : nethserver-mail-server-2.29.6-1.ns7.noarch 1/12
Verifying : nethserver-mail-filter-2.29.6-1.ns7.noarch 2/12
Verifying : nethserver-cockpit-1.7.21-1.ns7.noarch 3/12
Verifying : nethserver-mail-smarthost-2.29.6-1.ns7.noarch 4/12
Verifying : nethserver-cockpit-lib-1.7.21-1.ns7.noarch 5/12
Verifying : nethserver-mail-common-2.29.6-1.ns7.noarch 6/12
Verifying : nethserver-cockpit-lib-1.7.20-1.ns7.noarch 7/12
Verifying : nethserver-mail-filter-2.29.5-1.ns7.noarch 8/12
Verifying : nethserver-mail-common-2.29.5-1.ns7.noarch 9/12
Verifying : nethserver-cockpit-1.7.20-1.ns7.noarch 10/12
Verifying : nethserver-mail-server-2.29.5-1.ns7.noarch 11/12
Verifying : nethserver-mail-smarthost-2.29.5-1.ns7.noarch 12/12

Updated:
nethserver-cockpit.noarch 0:1.7.21-1.ns7
nethserver-cockpit-lib.noarch 0:1.7.21-1.ns7
nethserver-mail-common.noarch 0:2.29.6-1.ns7
nethserver-mail-filter.noarch 0:2.29.6-1.ns7
nethserver-mail-server.noarch 0:2.29.6-1.ns7
nethserver-mail-smarthost.noarch 0:2.29.6-1.ns7

Complete!

@giacomo Can be this related to the removal of the NethGui?

Sorry, I don’t want to be too pushy - but as I’m worried to run a server in production without a spare server, this is an major issue to me. I’d appreciate very much a solution. Anything I can help with?

1 Like

I do not know which script raises the error, nor what is referring to.
If the code is trying to install a yum group named hotsync, we never had it. See https://github.com/NethServer/comps/blame/master/nethforge-groups.xml.in#L50

If you think is related to NethGUI, maybe you could try to reinstall it.

@schulzstefan I will do some tests today on my environment.

1 Like

@schulzstefan Could you try simply to launch signal-event nethserver-hotsync-save on master and on slave?
It should be enough to press Save button on Cockpit interface. If it doesn’t work try the command above.

Tell me if doesn’t work so I can do other tests. Thank you.